//"ist_xml.sc","Deklaracja IST XML",12320,0,2.1.0,SYSTEM
//"Magazyn",12002,14,16
//////////////////////////////////////
// Deklaracja IST XML
// ist_xml.sc
//////////////////////////////////////

Limit 30000
wydruk graficzny,a4,pionowo

#define BFLAGdpDOKOMPL		0x4000		// pozycja z kompletu
#define XTtypdkANUL			0
#define XTtypdkWZANUL   	1
#define XTtypdkARCH			2
#define XTtypdkPARANUL		3
#define typdkWZM          	78      //wydanie z magazynu
#define typdkWZK          	88      //wydanie z magazynu korekta
#define typdkRW           	76      //rozchod wewnetrzny 
#define typdkRWK          	77      //rozchod wewnetrzny korekta
#define OK 					2
#define ANULUJ 				-1
#define EN_KILLFOCUS        0x0200
#define EN_CHANGE           0x0300
#define EN_UPDATE           0x0400

#define PR_IST_GEN			2334        //Uytkownik ma moliwo tworzenia deklaracji Intrastat

//dla Mg: dokument zawierajcy towary nie uwzgldniane w obrotach magazynowych
#define	BFLAGdkBEZOBROTOW	0x0080

BaseAll basIT
If basIT.SetBase("IT") then Error("Bd otwarcia IT")
basIT.Open()

BaseAll basIT2
If basIT2.SetBase("IT") then Error("Bd otwarcia IT")
basIT2.Open()

BaseAll basMG
If basMG.SetBase("MG") then Error("Bd otwarcia MG")
basMG.Open()

BaseAll basMZ
If basMZ.SetBase("MZ") then Error("Bd otwarcia MZ")
basMZ.Open()

BaseAll basDP
If basDP.SetBase("DP") then Error("Bd otwarcia DP")
basDP.Open()

BaseAll basTW
If basTW.SetBase("TW") then Error("Bd otwarcia TW")
basTW.Open()

XMLFile f

MapValue Towary
Towary.Type(string)
Towary.Clear()

float Sub ABS(float liczba)
	ABS=sign(liczba)*liczba
EndSub

//---------------------------------------------------------------------------
int Sub CzyAnul(int anul)
//---------------------------------------------------------------------------
	select case anul
		case XTtypdkANUL, XTtypdkWZANUL, XTtypdkARCH, XTtypdkPARANUL
			CzyAnul = 1
		case else
			CzyAnul = 0		
	endselect
EndSub

//---------------------------------------------------------------------------
int Sub CzyBezObrotow(int flag)
//---------------------------------------------------------------------------
	CzyBezObrotow = flag&BFLAGdkBEZOBROTOW
EndSub

//---------------------------------------------------------------------------
int Sub WypelnijIT(string p_okres)
//---------------------------------------------------------------------------
	int 	err, mg
	string	m_okresEnd

	PopUp(1,"Kontrola poprawnoci danych intrastat")
	basMG.SetKey("data")
	basMG.SetKeySeg("data", p_okres)

	If ((Val(Mid(p_okres,6,2))+1) > 12) Then
		m_okresEnd = using "%d-01-01",(Val(Mid(p_okres,1,4))+1)
	Else
		If (Val(Mid(p_okres,6,2))+1) > 9 Then
			m_okresEnd = using Mid(p_okres,1,5)+"%d-01",(Val(Mid(p_okres,6,2))+1)
		Else
			m_okresEnd = using Mid(p_okres,1,5)+"0%d-01",(Val(Mid(p_okres,6,2))+1)
		EndIf
	EndIf
	
	err=basMG.GetRec(GE)
	while !err && basMG.getfield("data") < m_okresEnd
		if basMG.getfield("id")>65535 && !CzyAnul(VAL(basMG.getfield("subtyp"))) && !CzyBezObrotow(basMG.getfield("flag")) then
			PopUp(2,using "dokument '%s'", basMG.getfield("kod"))
			NaliczIntrastat(basMG.getfield("id"),0)
		endif
		err=basMG.GetRec(NX)
	wend
EndSub

//---------------------------------------------------------------------------
string Sub EksportNotatka(long super)
//---------------------------------------------------------------------------
	int BasNr = 22
	String strExp, ret, typ
	BaseAll bas
	If bas.SetBase("NT") then Error("Bd otwarcia bazy NT")
	bas.Open()

	bas.SetKey("super")
	bas.SetKeySeg("typi", 16)
	bas.SetKeySeg("baza", BasNr)
	bas.SetKeySeg("super", super)

	If !bas.GetRec(EQ) Then
		buf = bas.GetField("opis")
		Arg "\r", " "
		Arg "\n", " "
		Replace Arg
		Delete Arg
		EksportNotatka=buf
	EndIf

	bas.Close()
EndSub

record RecTowar
	int		Zapisany
	int		CzyWywoz
	long	PozId
	string	OpisTowaru[256]
	string	KrajPrzeznaczeniaWysylki[3]
	string	RodzajTransakcji[6]
	string	KodTowarowy[9]
	string	KrajPochodzenia[3]
	float	MasaNetto
	float	IloscUzupelniajacaJm
	float	WartoscFaktury

	//*****************************************************
	int Sub Wczytaj(BaseAll basIT, int p_pozid, int p_CzyWywoz)
	//*****************************************************
		string nazwaDl
		int err = 0
		string strKey

		If basIT2.GetRecById( basIT.GetField("id") ) Then Error "Brak rekordu IT"
		If (!Zapisany) Then
			Zapisany = 1
			CzyWywoz = p_CzyWywoz
			PozId = p_pozid //kolejne numery
			If basTW.GetRecById( basIT2.GetField("idtw") ) Then Error "Brak rekordu TW"
	
			strKey = using "%d",basTW.GetField("id")
			If !Towary.Index(strKey) Then
				If !basTW.GetField("przelkg") || !basTW.GetField("przeluz") Then
					If (basTW.GetField("pcn") == "") Then
						Towary.Set(strKey, using "Towar o kodzie '%s' nie posiada przelicznika oraz kodu PCN."+lf, basTW.GetField("kod"))
					Else
						Towary.Set(strKey, using "Towar o kodzie '%s' nie posiada przelicznika."+lf, basTW.GetField("kod"))
					Endif
				Else
					If (basTW.GetField("pcn") == "") Then
						Towary.Set(strKey, using "Towar o kodzie '%s' nie posiada kodu PCN."+lf, basTW.GetField("kod"))
					EndIf
				Endif
			EndIf
			PopUp(2,using "Towar o kodzie '%s'", basTW.getfield("kod"))
	
			OpisTowaru = basTW.GetField("nazwa")
			nazwaDl = EksportNotatka(basTW.GetField("id"))
			If Len(nazwaDl) != 0 Then OpisTowaru = nazwaDl
			KrajPrzeznaczeniaWysylki = basIT2.GetField("krajwykod")
			RodzajTransakcji = using "%d",basIT2.GetField("transakcja")
			KodTowarowy = basTW.GetField("pcn")
			KrajPochodzenia = basIT2.GetField("krajpokod")
		EndIf

		If !basMZ.GetRecById( basIT2.GetField("idmg") )Then
			MasaNetto = MasaNetto + (iif(p_CzyWywoz,1,-1)*basMZ.GetField("ilosc")* basTW.GetField("przelkg"))
			IloscUzupelniajacaJm = IloscUzupelniajacaJm + (iif(p_CzyWywoz,1,-1)*basMZ.GetField("ilosc")* basTW.GetField("przeluz"))
			If basMZ.GetField("idhandl") Then
				If !basDP.GetRecById( basMZ.GetField("idhandl") ) Then
					if (Sign(basDP.GetField("ilosc"),4)) then
						WartoscFaktury = WartoscFaktury + (iif(p_CzyWywoz,1,-1)*basMZ.GetField("ilosc")*(basDP.GetField("wartNetto")/basDP.GetField("ilosc")))
					else
						WartoscFaktury = WartoscFaktury + (iif(p_CzyWywoz,1,-1)*basDP.GetField("wartNetto"))
					endif
				Endif
			Else
				WartoscFaktury = WartoscFaktury + (iif(p_CzyWywoz,1,-1)*basMZ.GetField("wartNetto"))
			Endif
		EndIf
	EndSub
endrec

record RecIST
	RecTowar Towary(1)

	string 	xmlns[256]
	string 	Email[81]
	string 	NrWlasny[15]
	long	Rok
	string	Miesiac[3]
	long	Numer
	long	Wersja
	string 	Rodzaj[2]
	string 	UC[7]
	float	LacznaWartoscFakturW
	long	LacznaLiczbaPozycjiW
	float	LacznaWartoscFakturP
	long	LacznaLiczbaPozycjiP
	string 	Miejscowosc[36]
	string 	DataIST[11]
	string 	ZobNazwa[256]
	string 	ZobUlicaNumer[36]
	string 	ZobKodPocztowy[10]
	string 	ZobMiejscowosc[36]
	string 	ZobNip[11]
	string 	ZobRegon[15]
	string 	ZglNazwa[256]
	string 	ZglUlicaNumer[36]
	string 	ZglKodPocztowy[10]
	string 	ZglMiejscowosc[36]
	string 	ZglNip[11]
	string 	ZglRegon[15]
	string 	WypNazwiskoImie[36]
	string 	WypTelefon[36]
	string 	WypFaks[36]
	string 	WypEmail[36]
	string 	WypNrWpisu[36]

	//*****************************************************
	int Sub SizeTowary()
	//*****************************************************
		SizeTowary = size(Towary)
	EndSub

	//*****************************************************
	int Sub CzyWywoz(int p_subtyp)
	//*****************************************************
		If (p_subtyp == typdkWZM || p_subtyp == typdkWZK || p_subtyp == typdkRW  || p_subtyp == typdkRWK) Then 
			CzyWywoz = 1
		Else
			CzyWywoz = 0
		EndIf
	EndSub

	//*****************************************************
	int Sub Wczytaj(string p_okres, string p_IzbaCelna, string p_WypNazwiskoImie, string p_WypNrWpisu, string p_NrWlasny)
	//*****************************************************
		int 	err = 0
		string	m_okres
		string	m_pcn
		long	m_idtw
		string	m_krajwykod
		string	m_krajpokod
		int		m_transakcja
		int		m_SetW = 0
		int		m_SetP = 0

		PopUp(1,"Tworzenie deklaracji IST XML")
		xmlns = "http://www.krakow.uc.gov.pl/Intrastat/IST-XML/xsd/ISTw1r1.xsd"
		Email = firma.email
		NrWlasny = p_NrWlasny
		Rok = Val(Mid(p_okres,1,4))
		Miesiac = Mid(p_okres,6,2)
		Numer = 1
		Wersja = 1 // nie ma zamian i korekt
		Rodzaj = "D" //(zgoszenie INTRASTAT) 
		UC = p_IzbaCelna
		Miejscowosc = firma.miasto
		DataIST = Data()
	
		ZobNazwa = firma.nazwa
		ZobUlicaNumer = firma.ulica
		ZobKodPocztowy = firma.kod
		ZobMiejscowosc = firma.miasto
		buf = firma.nip
		Arg "-", ""
		Replace Arg
		Delete Arg
		ZobNip = buf
		ZobRegon = firma.regon + pattern( 14-Len(firma.regon), "0" )
		
		ZglNazwa = firma.nazwa
		ZglUlicaNumer = firma.ulica
		ZglKodPocztowy = firma.kod
		ZglMiejscowosc = firma.miasto
		buf = firma.nip
		Arg "-", ""
		Replace Arg
		Delete Arg
		ZglNip = buf
		ZglRegon = firma.regon + pattern( 14-Len(firma.regon), "0" )
		
		basIT.SetKey("dekl_it")
		basIT.SetKeySeg("okres", p_okres)
		basIT.SetKeySeg("pcn", "")
		basIT.SetKeySeg("idtw", 0)
		basIT.SetKeySeg("krajwykod", "")
		basIT.SetKeySeg("krajpokod", "")
		basIT.SetKeySeg("transakcja", 0)

		err = basIT.GetRec(GE)

		While !err && basIT.GetField("okres") == p_okres
			m_okres = basIT.GetField("okres")
			m_pcn = basIT.GetField("pcn")
			m_idtw = basIT.GetField("idtw")
			m_krajwykod = basIT.GetField("krajwykod")
			m_krajpokod = basIT.GetField("krajpokod")
			m_transakcja = basIT.GetField("transakcja")
			m_SetW = 0
			m_SetP = 0
			While (!err && m_okres == basIT.GetField("okres") && m_pcn == basIT.GetField("pcn") && m_idtw == basIT.GetField("idtw") && m_krajwykod == basIT.GetField("krajwykod")  && m_krajpokod == basIT.GetField("krajpokod") && m_transakcja == basIT.GetField("transakcja"))
				If (!basMG.GetRecById( basIT.GetField("iddkmg") ) && !CzyBezObrotow(basMG.getfield("flag"))) Then
					If (CzyWywoz(basMG.GetField("subtypi"))) Then
						If (!m_SetW) Then
							LacznaLiczbaPozycjiW += 1
							If Towary(size(Towary)).Zapisany == 1 Then grow Towary,1
							m_SetW = 1
						EndIf
						Towary(size(Towary)).Wczytaj(basIT, LacznaLiczbaPozycjiW, 1)
					Else
						If (!m_SetP) Then
							LacznaLiczbaPozycjiP += 1
							If Towary(size(Towary)).Zapisany == 1 Then grow Towary,1
							m_SetP = 1
						EndIf
						Towary(size(Towary)).Wczytaj(basIT, LacznaLiczbaPozycjiP, 0)	
					EndIf
				EndIf
				err = basIT.GetRec(NX)
			Wend
			If (m_SetW) Then LacznaWartoscFakturW += Towary(size(Towary)).WartoscFaktury
			If (m_SetP) Then LacznaWartoscFakturP += Towary(size(Towary)).WartoscFaktury
		Wend
	
		WypNazwiskoImie = p_WypNazwiskoImie
		WypTelefon = firma.telefon1
		WypFaks = firma.fax
		WypEmail = firma.email
		WypNrWpisu = p_WypNrWpisu
	EndSub
endrec

int Sub MakeXML(RecIST IST, string p_file, int p_CzyWywoz)
	int ii

	f.Open(p_file)
	
	f.Attribute("xmlns", using "%.255s", IST.xmlns)
	If IST.Email != "" Then f.Attribute("Email", using "%.80s", IST.Email)
	f.StartElement("IST")
	
		f.Attribute("NrWlasny", using "%.14s", IST.NrWlasny+iif(p_CzyWywoz,"W","P"))
		f.Attribute("Typ", using "%.1s", iif(p_CzyWywoz,"W","P")) //R14
		f.Attribute("Rok", using "%d", IST.Rok)
		f.Attribute("Miesiac", using "%.2s", IST.Miesiac)
		f.Attribute("Numer", using "%d", IST.Numer)
		f.Attribute("Wersja", using "%d", IST.Wersja)
		f.Attribute("Rodzaj", using "%.1s", IST.Rodzaj)
		f.Attribute("UC", using "%.6s", IST.UC)
		f.Attribute("LacznaWartoscFaktur", using "%d", Round(iif(p_CzyWywoz,IST.LacznaWartoscFakturW,IST.LacznaWartoscFakturP),0))
		f.Attribute("LacznaLiczbaPozycji", using "%d", Round(iif(p_CzyWywoz,IST.LacznaLiczbaPozycjiW,IST.LacznaLiczbaPozycjiP),0))
		If IST.Miejscowosc != "" Then f.Attribute("Miejscowosc", using "%.35s", IST.Miejscowosc)
		f.Attribute("Data", using "%s", IST.DataIST)
		f.StartElement("Deklaracja")
	
			If IST.ZobNazwa != "" Then f.Attribute("Nazwa", using "%.255s", IST.ZobNazwa)
			If IST.ZobUlicaNumer != "" Then f.Attribute("UlicaNumer", using "%.35s", IST.ZobUlicaNumer)
			If IST.ZobKodPocztowy != "" Then f.Attribute("KodPocztowy", using "%.9s", IST.ZobKodPocztowy)
			If IST.ZobMiejscowosc != "" Then f.Attribute("Miejscowosc", using "%.35s", IST.ZobMiejscowosc)
			f.Attribute("Nip", using "%.10s", IST.ZobNip)
			f.Attribute("Regon", using "%.14s", IST.ZobRegon)
			f.StartElement("PodmiotZobowiazany")
			f.EndElement("PodmiotZobowiazany")
	
/*			If IST.ZglNazwa != "" Then f.Attribute("Nazwa", using "%.255s", IST.ZglNazwa)
			If IST.ZglUlicaNumer != "" Then f.Attribute("UlicaNumer", using "%.35s", IST.ZglUlicaNumer)
			If IST.ZglKodPocztowy != "" Then f.Attribute("KodPocztowy", using "%.9s", IST.ZglKodPocztowy)
			If IST.ZglMiejscowosc != "" Then f.Attribute("Miejscowosc", using "%.35s", IST.ZglMiejscowosc)
			f.Attribute("Nip", using "%.10s", IST.ZglNip)
			f.Attribute("Regon", using "%.14s", IST.ZglRegon)
			f.StartElement("Zglaszajacy")
			f.EndElement("Zglaszajacy")
*/
			for ii=1 to ii > IST.SizeTowary()
				If  IST.Towary(ii).Zapisany && IST.Towary(ii).CzyWywoz == p_CzyWywoz Then
					f.Attribute("PozId", using "%d", IST.Towary(ii).PozId)
					f.Attribute("OpisTowaru", using "%.255s", IST.Towary(ii).OpisTowaru)
					f.Attribute("KrajPrzeznaczeniaWysylki", using "%.2s", IST.Towary(ii).KrajPrzeznaczeniaWysylki)
					f.Attribute("RodzajTransakcji", using "%.2s", IST.Towary(ii).RodzajTransakcji)
					f.Attribute("KodTowarowy", using "%.8s", IST.Towary(ii).KodTowarowy)
					If (p_CzyWywoz == 0) Then f.Attribute("KrajPochodzenia", using "%.2s", IST.Towary(ii).KrajPochodzenia) // jesli nie wywoz typ!=W
					If (IST.Towary(ii).MasaNetto != 0) Then f.Attribute("MasaNetto", using "%d", Round(IST.Towary(ii).MasaNetto,0))
					If (IST.Towary(ii).IloscUzupelniajacaJm != 0) Then f.Attribute("IloscUzupelniajacaJm", using "%d", Round(IST.Towary(ii).IloscUzupelniajacaJm,0))
					f.Attribute("WartoscFaktury", using "%d", Round(IST.Towary(ii).WartoscFaktury,0))
					f.StartElement("Towar")
					f.EndElement("Towar")
				EndIf
			next ii
	
			If IST.WypNazwiskoImie != "" Then f.Attribute("NazwiskoImie", using "%.35s", IST.WypNazwiskoImie)
			If IST.WypTelefon != "" Then f.Attribute("Telefon", using "%.35s", IST.WypTelefon)
			If IST.WypFaks != "" Then f.Attribute("Faks", using "%.35s", IST.WypFaks)
			If IST.WypEmail != "" Then f.Attribute("Email", using "%.35s", IST.WypEmail)
			If IST.WypNrWpisu != "" Then f.Attribute("NrWpisu", using "%.35s", IST.WypNrWpisu)
			f.StartElement("Wypelniajacy")
			f.EndElement("Wypelniajacy")
		f.EndElement("Deklaracja")
	f.EndElement("IST")
	
	f.Close()
EndSub

RecIST IST
//R18	Okres rozliczeniowy (okrelany przez rok i miesic) musi by wikszy lub rwny 2004-05
//i mniejszy lub rwny od biecego roku i miesica.
int		ii
string	dataWpr = Data()
string	okres
string	sPlikW
string	sPlikP
string  sSekcjaFirmaIni = "Intrastat"
string  sPlikFirmaIni = KatalogFirmy()+"firma.hm"
string  sSekcjaIn = "Deklaracja IST XML"
int		bWywoz = Val(GetIni( sSekcjaFirmaIni, "Wywoz", sPlikFirmaIni))
int		bPrzywoz = Val(GetIni( sSekcjaFirmaIni, "Przywoz", sPlikFirmaIni))
string	IzbaCelna = GetIni( sSekcjaFirmaIni, "Izba_celna", sPlikFirmaIni)
string	WypNazwiskoImie = GetIni( sSekcjaFirmaIni, "Pracownik", sPlikFirmaIni)
string	WypNrWpisu = GetIni( sSekcjaFirmaIni, "Numer", sPlikFirmaIni)
int		frm1
string	NrWlasny

string strTmp = GetIni( sSekcjaIn, "Wypenij dane Intrastat", sPlikFirmaIni)
if strTmp == "" then strTmp = "1"

int		iWypelnij = Val(strTmp)

strTmp = GetIni( sSekcjaIn, "Ostrze o braku adresu email", sPlikFirmaIni)
if strTmp == "" then strTmp = "1"

int 	iWarnEmail = Val(strTmp)

string	sKatalog = GetIni( sSekcjaIn, "Katalog Intrastat", sPlikFirmaIni)

If sKatalog=="" Then sKatalog = KatalogFirmy() + "IST\\"

strTmp = CzyMaPrawo(PR_IST_GEN)
If strTmp != "" Then
	Message strTmp
	error""
Endif


If ((bWywoz==0 && bPrzywoz==0) || IzbaCelna=="" || WypNazwiskoImie=="") Then
	Message "Brak ustalonych parametrw Intrastat w ustawieniach firmy."
	error""
Endif

If (firma.nazwa=="" || firma.ulica=="" || firma.kod=="" || firma.miasto=="" || firma.nip=="") Then
	Message "Brak wprowadzonych danych teleadresowych firmy w ustawieniach."
	error""
Endif

If (firma.email=="") Then
	print "Brak adresu email w danych firmy. Jest on wykorzystywany jako adres, na ktry maj by przesyane dokumenty zwrotne dotyczce deklaracji. W przypadku braku tego atrybutu dokumenty zwrotne nie bd przesyane."+lf+lf
	
	If !(iWarnEmail&0x10) Then
		iWarnEmail = message "Brak adresu email w danych firmy. Jest on wykorzystywany jako adres, na ktry maj by przesyane dokumenty zwrotne dotyczce deklaracji. W przypadku braku tego atrybutu dokumenty zwrotne nie bd przesyane. {{Buttons=(&Ok:2)[&Anuluj:1] check=(&Nie ostrzegaj wicej) Icon=?}}"
		If !(iWarnEmail&0x02) Then
			error""
		EndIf
	EndIf
Endif

int Sub Main()
	int iRet = OK
	if iWypelnij Then WypelnijIT(okres)
	IST.Wczytaj(okres, IzbaCelna, WypNazwiskoImie, WypNrWpisu, NrWlasny)

	If Towary.Size() Then
		print "Istniej towary, ktre nie posiadaj przelicznika lub kodu PCN. W przypadku ich braku deklaracja moe zosta uznana jako nieprawidowa."+lf
		iRet = message "Istniej towary, ktre nie posiadaj przelicznika lub kodu PCN. W przypadku ich braku deklaracja moe zosta uznana jako nieprawidowa. {{Buttons=(&Ok:2)[&Anuluj:1] Icon=?}}"
		ii = 1
		While ii <= Towary.Size()
			print Towary.Get(ii)
			ii+=1
		Wend
	EndIf
	Towary.Clear()
	print lf
	If iRet==OK Then
		If bWywoz Then
			MakeXML(IST, sPlikW, 1)
			print "Utworzono deklaracje IST wywz w formacie XML i zapisano "+sPlikW+lf
		EndIf
		If bPrzywoz Then
			MakeXML(IST, sPlikP, 0)
			print "Utworzono deklaracje IST przywz w formacie XML i zapisano "+sPlikP+lf
		EndIf
	Else
		print "UWAGA Nie utworzono deklaracji IST."
	EndIf
	Main = 0
EndSub

If ((Val(Mid(dataWpr,6,2))-1) < 1) Then
	okres = using "%d-12",(Val(Mid(dataWpr,1,4))-1)
	dataWpr = okres+"-01"
Else
	If (Val(Mid(dataWpr,6,2))-1) > 9 Then
		okres = using Mid(dataWpr,1,5)+"%d",(Val(Mid(dataWpr,6,2))-1)
	Else
		okres = using Mid(dataWpr,1,5)+"0%d",(Val(Mid(dataWpr,6,2))-1)
	EndIf
	dataWpr = okres+"-01"
EndIf

int sub Validate()
	int nFileCheck
	save
	dataWpr = okres+"-01"
	sPlikW = sKatalog+Mid(dataWpr,3,2)+"IST"+Mid(dataWpr,6,2)+"W.xml"
	sPlikP = sKatalog+Mid(dataWpr,3,2)+"IST"+Mid(dataWpr,6,2)+"P.xml"
	NrWlasny = Mid(dataWpr,3,2)+"IST"+Mid(dataWpr,6,2)
	okres+="-01"

	If (bWywoz==1 && Find File sPlikW) || (bPrzywoz && Find File sPlikP) Then
		If OK==message "We wskazanym miejscu istniej ju deklaracje dla podanego okresu. Pliki zostan nadpisane. {{Buttons=(Ok:2)[Anuluj:1] Icon=?}}" Then Validate = OK
	Else
		Validate = OK
	EndIf
	If Validate == OK Then
		load
		nFileCheck=open sKatalog+"test.txt" for output
		If nFileCheck>0 Then 
			close nFileCheck
			delete file sKatalog+"test.txt"
		Else
			mkdir( sKatalog)
		EndIf
	EndIf
endsub

form GetReportName(),425,200
	group "",10,5,400,120
	text "Podaj okres deklaracji IST:",20,25,150,20
	frm1 = edit "",okres,175,23,55,18
	text "Podaj katalog, gdzie zostan zapisane deklaracje IST:",20,45,150,40
	edit "",sKatalog,175,43,220,18
	ChkBox "&Sprawd poprawno danych intrastat dla dokumentw z podanego okresu,", iWypelnij,20,85,380,20
	Text   "     w przypadku ich braku dane te zostan automatycznie uzupenione.", 20,105,380,20

	button "&Utwrz",235,135,80,25,Validate()
	button "&Anuluj",325,135,80,25,ANULUJ
if ExecForm ( )==OK then
	PutIni ( sSekcjaIn, "Wypenij dane Intrastat", (using "%d",iWypelnij), sPlikFirmaIni )
	PutIni ( sSekcjaIn, "Katalog Intrastat", sKatalog, sPlikFirmaIni )
	PutIni ( sSekcjaIn, "Ostrze o braku adresu email", (using "%d",(iWarnEmail&0x10)), sPlikFirmaIni )
	Main()
Else
	error""
Endif

basIT.Close()
basMZ.Close()
basIT.Close()
